Package org.eclipse.graphiti.ui.internal.fixed

# Class FixedScrollableThumbnail

java.lang.Object
org.eclipse.draw2d.Figure
org.eclipse.graphiti.ui.internal.fixed.FixedThumbnail
org.eclipse.graphiti.ui.internal.fixed.FixedScrollableThumbnail

All Implemented Interfaces:
  `org.eclipse.draw2d.IFigure`, `org.eclipse.draw2d.UpdateListener`

public final class FixedScrollableThumbnail extends FixedThumbnail
The Class FixedScrollableThumbnail.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch, org.eclipse.draw2d.Figure.ReverseFigureChildrenIterator`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`org.eclipse.draw2d.IFigure.NoInsets`

## Nested classes/interfaces inherited from interface org.eclipse.draw2d.UpdateListener

`org.eclipse.draw2d.UpdateListener.Stub`

## Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

## Constructor Summary

Constructors
Constructor
Description
`FixedScrollableThumbnail()`
Creates a new ScrollableThumbnail.
`FixedScrollableThumbnail(org.eclipse.draw2d.Viewport port)`
Creates a new ScrollableThumbnail that synchs with the given Viewport.

## Method Summary

Modifier and Type
Method
Description
`void`
`deactivate()`
Deactivate.
`void`
`disposeSelector()`
`protected void`
`setScales(float scaleX, float scaleY)`
Reconfigures the SelectorFigure's bounds if the scales have changed.
`void`
`setViewport(org.eclipse.draw2d.Viewport port)`
Sets the Viewport that this ScrollableThumbnail will synch with.

### Methods inherited from class org.eclipse.graphiti.ui.internal.fixed.FixedThumbnail

`getPreferredSize, getScaleX, getScaleY, getSource, getSourceRectangle, getThumbnailImage, isDirty, notifyPainting, notifyValidating, paintFigure, setDirty, setSource`

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getChildrenRevIterable, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getListenersIterable, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, optimizeClip, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FixedScrollableThumbnail

public FixedScrollableThumbnail()
Creates a new ScrollableThumbnail.

### FixedScrollableThumbnail

public FixedScrollableThumbnail(org.eclipse.draw2d.Viewport port)
Creates a new ScrollableThumbnail that synchs with the given Viewport.

Parameters:
  `port` - The Viewport

## Method Details

### deactivate

public void deactivate()
Deactivate.

Overrides:
  `deactivate` in class `FixedThumbnail`
See Also:
  - `Thumbnail.deactivate()`

### disposeSelector

public void disposeSelector()

### setScales

protected void setScales(float scaleX, float scaleY)
Reconfigures the SelectorFigure's bounds if the scales have changed.

Overrides:
  `setScales` in class `FixedThumbnail`
Parameters:
  `scaleX` - The X scale
  `scaleY` - The Y scale
See Also:
  - `Thumbnail.setScales(float, float)`

### setViewport

public void setViewport(org.eclipse.draw2d.Viewport port)
Sets the Viewport that this ScrollableThumbnail will synch with.

Parameters:
  `port` - The Viewport